<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CopyFile Method (IEdmFolder5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFolder5 Interface : CopyFile Method (IEdmFolder5)

Visual Basic
C#
C++/CLI

lFileID
  ID of file to copy

lSrcFolderID
  ID of folder from which to copy the file

lParentWnd
  Parent window handle

bsNewName
  Optional new name of the file; "" to use the original file name

lFlags
  Combination of EdmCopyFlag bits

Obsolete. Superseded by IEdmFolder8::CopyFile2.

# Syntax

Visual Basic |
--- | ---

    Function CopyFile( _
       ByVal lFileID As System.Integer, _
       ByVal lSrcFolderID As System.Integer, _
       ByVal lParentWnd As System.Integer, _
       Optional ByVal bsNewName As System.String, _
       Optional ByVal lFlags As System.Integer _
    ) As System.Integer

C# |
--- | ---

    System.int CopyFile(
       System.int lFileID,
       System.int lSrcFolderID,
       System.int lParentWnd,
       System.string bsNewName,
       System.int lFlags
    )

C++/CLI |
--- | ---

    System.int CopyFile(
    &   System.int lFileID,
    &   System.int lSrcFolderID,
    &   System.int lParentWnd,
    &   System.String^ bsNewName,
    &   System.int lFlags
    )

#### Parameters

lFileID
  ID of file to copy
lSrcFolderID
  ID of folder from which to copy the file
lParentWnd
  Parent window handle
bsNewName
  Optional new name of the file; "" to use the original file name
lFlags
  Combination of EdmCopyFlag bits

#### Return Value

ID of the new file

# Example

Vault Utilities (C#)
Vault Utilities (VB.NET)

# Remarks

This method uses the ID of a file to identify which file to copy. You can also call IEdmFolder5::AddFile, specifying the path of the file that you want to copy. IEdmFolder5::AddFile handles both source files that are inside and outside of the vault.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_NAME_ALREADY_EXISTS: There is already a file or folder with the same name in this folder.
- E_EDM_FILE_NOT_FOUND: The source file was not found. (The ID is invalid.)
- E_EDM_PERMISSION_DENIED: The user lacks permission to copy the specified file.
- E_EDM_FILE_SHARE_ERROR: Cannot copy the file because it is exclusively opened in another application.
- E_EDM_OPERATION_REFUSED_BY_PLUGIN: One of the installed EdmCmdData.EdmCmd_PreCopy hooks didn't permit the operation.

# See Also

####

IEdmFolder5 Interface
IEdmFolder5 Members
IEdmFolder5::AddFileShared Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2